Adium

Opened 3 years ago

Closed 2 years ago

Last modified 2 years ago

#16678 closed defect (fixed)

Yahoo Account Not Connecting

Reported by: JamesH Owned by:
Milestone: Adium 1.5.11 Component: Service/Yahoo
Version: 1.5.10b3 Severity: regression
Keywords: Cc:
Patch Status: Accepted

Description

Summary

I was having the CPU utilization issue, so I downloaded the beta (1.5.10b1), and now Adium won't connect to my Yahoo account.

Steps to reproduce

  1. Start Adium
  2. Go to Preferences / Accounts and observe the failure to connect to Yahoo.

Expected results

Yahoo would connect and behave normally.

Actual results

Yahoo does not connect. In Preferences / Accounts, it says "Error: Error reading from login.yahoo.com: Undefined error: 0". It bounces between "Reconnecting" and "Connecting" status, consistently failing on each connect attempt, and each time escalating the reconnect delay time.

Regression

beta (1.5.10b1)

Notes

I'm attaching console logs.

Attachments (1)

adium-yim-cdsa-fix.diff (1.4 KB) - added by reanimus 3 years ago.
CDSA premature/error abort fix

Download all attachments as: .zip

Change History (92)

comment:1 Changed 3 years ago by JamesH

One other note: I tried clearing my preferences as described in Troubleshooting (i.e. renaming the Adium 2.0 folder and the plist file). Yahoo was still unable to connect - the ill behavior did not change.

comment:2 Changed 3 years ago by duyt1001

I have the same issue here. On my old Macbook (running OSX 10.9.2) yahoo was working until about 2 weeks ago. On my new macbook I just downloaded adium 1.5.9, yahoo was still failing. And cpu utilization was high -- 130-150%.

comment:3 follow-up: Changed 3 years ago by Robby

  • Resolution set to duplicate
  • Status changed from new to closed

Closed as duplicate of #16431.

comment:4 in reply to: ↑ 3 Changed 3 years ago by JamesH

Replying to Robby:

Closed as duplicate of #16431.

How is this a duplicate of 16431???? 16431 is closed, with a supposed solution provided by the new beta release. I'm having problems WITH THE BETA RELEASE. Could you please take a moment and explain to me why my issue is not considered an open issue??

Last edited 3 years ago by JamesH (previous) (diff)

comment:5 follow-up: Changed 3 years ago by sphynx

  • Component changed from Adium Core to Service/Yahoo
  • Keywords yahoo added
  • Resolution duplicate deleted
  • Status changed from closed to new
  • Version set to 1.5.10b1

JamesH: There have been two issues, which are rather intertwined:

  1. Adium using 100% CPU and failing to connect to Yahoo!.
  2. Adium failing to connect to Yahoo!, but no CPU spikes.

The first one is fixed in the beta, which was #16431. The second one doesn't seem to have a cannonical ticket, but it is definitely on our radar and gets reported often. I shall reopen this one to keep track of that.

The debug log here was quite helpful, and I think I've found the issue: CDSA gives us error -9816, which is errSSLClosedNoNotify, which means the server closed the connection without shutting down the TLS connection properly. If I remember correctly, some people from Pidgin reported that NSS didn't have any issue with connecting, but GnuTLS did. That could be explained by the fact that NSS doesn't report this error but GnuTLS seems to do so, as can be seen on this libpurple ticket.

comment:6 Changed 3 years ago by sphynx

JamesH: Also, I'm very sorry this happened, but it appears the debug log contained your Yahoo! password in plain. =/

I've deleted the debug log, but I would also recommend you change your password as we can not guarantee who has seen it.

comment:7 Changed 3 years ago by karyrogers

I spent some time yesterday trying to look into this issue with my very limited knowledge of how Adium works. Ya know, because I've had very few problems with it in all the years I've used it, so cheers to that.

From what I understand of this issue, it's related to GnuTLS. But from what I can tell, Adium builds libpurple with --enable-gnutls=no. If Adium's libpurple doesn't use GnuTLS, then would this issue be something else?

Side question: what does Adium use for SSL? NSS is disabled in the configure options as well for libpurple.

comment:8 in reply to: ↑ 5 Changed 3 years ago by Robby

CDSA

comment:9 Changed 3 years ago by sphynx

Adium uses its own SSL plugin based on Apple's CDSA. It's not related to GnuTLS, it's just that NSS doesn't check an error condition that GnuTLS and CDSA do check.

comment:10 Changed 3 years ago by karyrogers

Ok, understood. Frankly, I have no real desire to go down the head-to-desk banging hole of dealing with yahoo support.

My debug log doesn't have any mention of CDSA. Just:

16:52:08: (GLib): (16:52:08) yahoo: Authentication: In yahoo_auth16_stage1_cb
16:52:08: (Libpurple: yahoo) Authentication: In yahoo_auth16_stage1_cb
16:52:08: (GLib): (16:52:08) yahoo: Login Failed, unable to retrieve login url: Error reading from login.yahoo.com: Undefined error: 0
16:52:08: (Libpurple: yahoo) Login Failed, unable to retrieve login url: Error reading from login.yahoo.com: Undefined error: 0
16:52:08: (GLib): (16:52:08) connection: Connection error on 0x1098f38f0 (reason: 0 description: Error reading from login.yahoo.com: Undefined error: 0)
16:52:08: (Libpurple: connection) Connection error on 0x1098f38f0 (reason: 0 description: Error reading from login.yahoo.com: Undefined error: 0)
16:52:08: Connection Disconnected: gc=98f38f0 (Error reading from login.yahoo.com: Undefined error: 0)

I'm running a nightly build so debugging is enabled. How can I enable CDSA debug logging?

comment:11 Changed 3 years ago by dossy

+1

comment:12 Changed 3 years ago by jyanko

I'm seeing similar unable to connect to YahooIM today.

  • Adium : 1.5.10b1
  • OS X : 10.8.5

Here's a sample from the debug log on my system

'
10:16:43: (Libpurple: util) Response headers: 'HTTP/1.1 200 OK
Date: Mon, 14 Apr 2014 17:16:43 GMT
Set-Cookie: B=cv78sgt9ko5vr&b=3&s=oj; expires=Thu, 14-Apr-2016 17:16:43 GMT; path=/; domain=.yahoo.com
P3P: policyref="http://info.yahoo.com/w3c/p3p.xml", CP="CAO DSP COR CUR ADM DEV TAI PSA PSD IVAi IVDi CONi TELo OTPi OUR DELi SAMi OTRi UNRi PUBi IND PHY ONL UNI PUR FIN COM NAV INT DEM CNT STA POL HEA PRE LOC GOV"
Cache-Control: private
Pragma: no-cache
Expires: Thu, 05 Jan 1995 22:00:00 GMT
Vary: Accept-Encoding
Content-Type: text/html
Age: 0
Connection: close
Server: ATS

'
10:16:43: (GLib): (10:16:43) cdsa: receive failed (-9816): Undefined error: 0
10:16:43: (Libpurple: cdsa) receive failed (-9816): Undefined error: 0
10:16:43: (GLib): (10:16:43) yahoo: Authentication: In yahoo_auth16_stage1_cb
10:16:43: (Libpurple: yahoo) Authentication: In yahoo_auth16_stage1_cb
10:16:43: (GLib): (10:16:43) yahoo: Login Failed, unable to retrieve login url: Error reading from login.yahoo.com: Undefined error: 0
10:16:43: (Libpurple: yahoo) Login Failed, unable to retrieve login url: Error reading from login.yahoo.com: Undefined error: 0
10:16:43: (GLib): (10:16:43) connection: Connection error on 0x10a80beb0 (reason: 0 description: Error reading from login.yahoo.com: Undefined error: 0)
10:16:43: (Libpurple: connection) Connection error on 0x10a80beb0 (reason: 0 description: Error reading from login.yahoo.com: Undefined error: 0)
10:16:43: Connection Disconnected: gc=a80beb0 (Error reading from login.yahoo.com: Undefined error: 0)
10:16:43: <ESPurpleYahooAccount:76087e0 1>:{YAHOO_USERNAME} accountConnectionReportDisconnect: Error reading from login.yahoo.com: Undefined error: 0
10:16:43: (GLib): (10:16:43) account: Disconnecting account {YAHOO_USERNAME} (0x107b5c870)
10:16:43: (Libpurple: account) Disconnecting account {YAHOO_USERNAME} (0x107b5c870)
10:16:43: (GLib): (10:16:43) connection: Disconnecting connection 0x10a80beb0
10:16:43: (Libpurple: connection) Disconnecting connection 0x10a80beb0
10:16:43: (GLib): (10:16:43) yahoo: In yahoo_buddy_icon_upload_data_free()
10:16:43: (Libpurple: yahoo) In yahoo_buddy_icon_upload_data_free()
10:16:43: Disconnected: gc=a80beb0
10:16:43: <ESPurpleYahooAccount:76087e0 1>:{YAHOO_USERNAME}: Telling the core we disconnected
10:16:43: -[AIContactObserverManager endListObjectNotificationsDelaysImmediately]:144: 
10:16:43: <ESPurpleYahooAccount:76087e0 1>:{YAHOO_USERNAME}: Disconnected ("Error reading from login.yahoo.com: Undefined error: 0"): Automatically reconnecting in 5.000000 seconds (0 attempts performed)
10:16:43: (GLib): (10:16:43) connection: Destroying connection 0x10a80beb0
10:16:43: (Libpurple: connection) Destroying connection 0x10a80beb0
10:16:46: <ESPurpleYahooAccount:76087e0 1>:{YAHOO_USERNAME}: Updating status for key: isOnline
10:16:46: <ESPurpleYahooAccount:76087e0 1>:{YAHOO_USERNAME}: Updating status for key: Enabled
10:16:46: <ESPurpleYahooAccount:76087e0 1>:{YAHOO_USERNAME}: Updating status for key: FullNameAttr
10:16:47: (GLib): (10:16:47) util: Writing file accounts.xml to directory /Users/{user}/Library/Application Support/Adium 2.0/Users/Default/libpurple
10:16:47: (Libpurple: util) Writing file accounts.xml to directory /Users/{user}/Library/Application Support/Adium 2.0/Users/Default/libpurple
10:16:47: (GLib): (10:16:47) util: Writing file /Users/{user}/Library/Application Support/Adium 2.0/Users/Default/libpurple/accounts.xml
10:16:47: (Libpurple: util) Writing file /Users/{user}/Library/Application Support/Adium 2.0/Users/Default/libpurple/accounts.xml

comment:13 Changed 3 years ago by karyrogers

BTW, this issue is not present on Mac OS X 10.9.2 with the beta 1.5.10b1. I would assume the CDSA library has been updated or changed in some way on that version. I suppose I'm gonna have to bite the bullet and upgrade.

comment:14 Changed 3 years ago by aradapilot

Any chance some updated code here could help older mac os users without requiring an os update?
http://opensource.apple.com/
Not sure what adium is using specifically.

comment:15 Changed 3 years ago by jengert

I just took the plunge to 10.9.2; created a new user account, and I still can't get on to yahoo with Adium 1.5.9; I'll give 1.5.10 a try tomorrow.

comment:16 follow-up: Changed 3 years ago by jengert

10.9.2 and the beta build (I used nightly but I would assume both work) worked for me as well. Is the requirements going to change to mac OS 10.9 and up?

comment:17 in reply to: ↑ 16 Changed 3 years ago by Robby

As far as we can tell, the connection issue has nothing to do with the version of OS X being used.

Replying to jengert:

[…] Is the requirements going to change to mac OS 10.9 and up?

Sometime in the future, sure, but not for further 1.5.x releases and not for 1.6.

comment:18 Changed 3 years ago by mbierman

I don't now if this related to this thread, but I have been seeing the following every time I login to my Yahoo account via Adium and every so often once I am logged in.

For your safety, we have temporarily disabled some features of Yahoo! Messenger. Please sign in to https://login.yahoo.com from a desktop computer, tablet, or smartphone and sign in again to Messenger to restore full access.

This is very annoying. I downloaded Yahoo! Messenger and logged in and that changed nothing. I'm running 10.9.2 and the latest Adium beta build.

comment:19 Changed 3 years ago by marker227

I am not able to connect to any YIM account on Adium. I have version 1.5.9 and Mac OS X 10.9.2.

I can only sign in via other clients :/.

comment:20 Changed 3 years ago by EqUaTe

This is still an issue on 1.5.10b2. Same behaviour. The official client works fine, but it sucks :)

Hopefully we'll see a resolution before 1.5.10 final!

comment:21 Changed 3 years ago by jyanko

I'm still unable to connect to YahooIM today - with the beta2 build now.
I'm able to use my YIM acct just fine through OS X "Messages" app.

Adium : 1.5.10b2
OS X  : 10.8.5 (12F45)

Here's a sample from the debug log on my system

Date: Wed, 23 Apr 2014 22:10:12 GMT
Set-Cookie: B=21dl8pp9lgei4&b=3&s=p2; expires=Sat, 23-Apr-2016 22:10:12 GMT; path=/; domain=.yahoo.com
P3P: policyref="http://info.yahoo.com/w3c/p3p.xml", CP="CAO DSP COR CUR ADM DEV TAI PSA PSD IVAi IVDi CONi TELo OTPi OUR DELi SAMi OTRi UNRi PUBi IND PHY ONL UNI PUR FIN COM NAV INT DEM CNT STA POL HEA PRE LOC GOV"
Cache-Control: private
Pragma: no-cache
Expires: Thu, 05 Jan 1995 22:00:00 GMT
Vary: Accept-Encoding
Content-Type: text/html
Age: 0
Transfer-Encoding: chunked
Connection: close
Server: ATS

'
15:10:12: (GLib): (15:10:12) cdsa: receive failed (-9816): Undefined error: 0
15:10:12: (Libpurple: cdsa) receive failed (-9816): Undefined error: 0
15:10:12: (GLib): (15:10:12) yahoo: Authentication: In yahoo_auth16_stage1_cb
15:10:12: (Libpurple: yahoo) Authentication: In yahoo_auth16_stage1_cb
15:10:12: (GLib): (15:10:12) yahoo: Login Failed, unable to retrieve login url: Error reading from login.yahoo.com: Undefined error: 0
15:10:12: (Libpurple: yahoo) Login Failed, unable to retrieve login url: Error reading from login.yahoo.com: Undefined error: 0
15:10:12: (GLib): (15:10:12) connection: Connection error on 0x10a8ca500 (reason: 0 description: Error reading from login.yahoo.com: Undefined error: 0)
15:10:12: (Libpurple: connection) Connection error on 0x10a8ca500 (reason: 0 description: Error reading from login.yahoo.com: Undefined error: 0)
15:10:12: Connection Disconnected: gc=a8ca500 (Error reading from login.yahoo.com: Undefined error: 0)
15:10:12: <ESPurpleYahooAccount:772f9a0 1>:USERNAME accountConnectionReportDisconnect: Error reading from login.yahoo.com: Undefined error: 0
15:10:12: (GLib): (15:10:12) account: Disconnecting account USERNAME (0x103361bf0)
15:10:12: (Libpurple: account) Disconnecting account USERNAME (0x103361bf0)
15:10:12: (GLib): (15:10:12) connection: Disconnecting connection 0x10a8ca500
15:10:12: (Libpurple: connection) Disconnecting connection 0x10a8ca500
15:10:12: (GLib): (15:10:12) yahoo: In yahoo_buddy_icon_upload_data_free()
15:10:12: (Libpurple: yahoo) In yahoo_buddy_icon_upload_data_free()
15:10:12: Disconnected: gc=a8ca500
15:10:12: <ESPurpleYahooAccount:772f9a0 1>:USERNAME: Telling the core we disconnected
15:10:12: -[AIContactObserverManager endListObjectNotificationsDelaysImmediately]:144: 
15:10:12: <ESPurpleYahooAccount:772f9a0 1>:USERNAME: Disconnected ("Error reading from login.yahoo.com: Undefined error: 0"): Automatically reconnecting in 87.963882 seconds (8 attempts performed)
15:10:12: (GLib): (15:10:12) connection: Destroying connection 0x10a8ca500
15:10:12: (Libpurple: connection) Destroying connection 0x10a8ca500
15:10:17: (GLib): (15:10:17) util: Writing file accounts.xml to directory /Users/USERNAME/Library/Application Support/Adium 2.0/Users/Default/libpurple
15:10:17: (Libpurple: util) Writing file accounts.xml to directory /Users/USERNAME/Library/Application Support/Adium 2.0/Users/Default/libpurple
15:10:17: (GLib): (15:10:17) util: Writing file /Users/USERNAME/Library/Application Support/Adium 2.0/Users/Default/libpurple/accounts.xml
15:10:17: (Libpurple: util) Writing file /Users/USERNAME/Library/Application Support/Adium 2.0/Users/Default/libpurple/accounts.xml

comment:22 Changed 3 years ago by Equusz

I've not been able to connect to Yahoo via Adium for a month. I was using 1.5.9 and it just stopped working. Waited a week, downloaded 1.5.10b1 and still nothing. Just upgraded to 1.5.10b2 and still nothing. Same error as everyone else.

comment:23 Changed 3 years ago by darryllict

FYI, Same Yahoo issues with the 1.5.10b3 release:

Apr 24 00:44:38 slacker [0x0-0x39039].com.adiumX.adiumX[934]: SocketRead err = -9805
Apr 24 00:54:39 slacker [0x0-0x39039].com.adiumX.adiumX[934]: SocketRead err = -9805
Apr 24 01:04:40 slacker [0x0-0x39039].com.adiumX.adiumX[934]: SocketRead err = -9805

Error reading from login.yahoo.com:Undefined error:0

Last edited 3 years ago by darryllict (previous) (diff)

comment:24 follow-up: Changed 3 years ago by jyanko

I concur, just updated and I see same thing today with b3 that I did yesterday with b2

Adium : 1.5.10b3
OS X  : 10.8.5 (12F45)

Is it possible to update this ticket to indicate that it impacts the latest beta version not just 1.5.10b1?

Adding a note:
I've gotten word from a friend who is using the beta version on OS X 10.9.2 successfully since b1.
Seems we sure have a different experience on 10.8.5 vs 10.9.2 with the beta versions.

Last edited 3 years ago by jyanko (previous) (diff)

comment:25 in reply to: ↑ 24 Changed 3 years ago by Robby

  • Version changed from 1.5.10b1 to 1.5.10b3

Replying to jyanko:

Is it possible to update this ticket to indicate that it impacts the latest beta version not just 1.5.10b1?

Sure!


Between b1 and b3 there haven’t been changes relevant to the issue reported in this ticket. We are looking for the right way to deal with it.

comment:26 Changed 3 years ago by retro

From a comment by sphynx 2 weeks ago:

That could be explained by the fact that ​NSS doesn't report this error
but ​GnuTLS seems to do so, as can be seen on this libpurple ticket.

and a follow-up post by sphynx:

Adium uses its own SSL plugin based on Apple's CDSA. It's not related
to GnuTLS, it's just that NSS doesn't check an error condition that
GnuTLS and CDSA do check.

So it would seem to me the quick solution would be to change CDSA to not check for the error, a la NSS. Once Yahoo fixes things on their end, then you could change CDSA to check for the error again. Heck, you could even change it so CDSA only skips the check when connecting to Yahoo servers, if you are concerned that not checking would lead to security issues.

Is there a reason this wouldn't work?

comment:27 Changed 3 years ago by sphynx

It would work, yes. Skipping the check only when connecting to Yahoo!'s servers would be a bit more work to implement, due to the TLS plugin is trying to be agnostic of the protocol used over it, but still possible. However, I'm not completely sure of what the security implications of doing so would be, I was hoping to get some feedback from the Pidgin developers about that.

comment:28 Changed 3 years ago by darryllict

Thanks- Any update from the Pidgin developers on allowing CDSA to skip the check?

comment:29 Changed 3 years ago by EqUaTe

Would we be able to get some transparency as to what's going on here?
I can see above that a root cause has been located, but also am aware that other clients function correctly.

Going by this: https://developer.pidgin.im/ticket/16172#comment:13 it looks like the error condition is to do with an SSL communication not being correctly closed, but within that comment is an indication that this is fairly common and not something of particular security concern.

comment:30 Changed 3 years ago by Equusz

Look, I don't understand all this leet-speak you guys are on about, all I know is it's now going on 2 months since I was able to connect to Yahoo via Adium. There is no other option for me as a Mac user for OTR, so this really will be the end of my Yahoo account if it's not fixed. Is there *any* plan to fix it or should people just give up on ever being able to connect to Yahoo again?

I've donated to the Adium project before and would be happy to do so again if it would get some action on this problem.

comment:31 Changed 3 years ago by aradapilot

Just to update, I took advantage of the free 10.9.2 upgrade, and now it's connecting fine with build 1.6hgr5873

comment:32 Changed 3 years ago by retro

I've not installed the beta because I kept hearing it fixed the CPU usage, but not the connection problem to Yahoo. But aradapilot's update spurred me to try an update. I downloaded both the 1.5.10b3 beta, and the 1.6hgr5873 build. Just to see what would happen, I updated to the beta first, restarted Adium, and was able to connect to Yahoo IM on the first try. I'm not so stupid as to fix something that's not broken, so I won't be trying the 1.6hgr5873 update, but FYI, something else is fixed in the beta that allowed me to connect.

Equusz, I was also feeling frustrated. Have you tried updating to the beta build, or the 1.6hgr5873 build? Here are the links, as they took me a few minutes to find.

The beta build:

https://beta.adium.im/

The nightly builds from the 1.6 branch:

http://nightly.adium.im/?repo_branch=adium-adium-1.6

comment:33 Changed 3 years ago by Equusz

That actually worked - thanks!

Last edited 3 years ago by Equusz (previous) (diff)

comment:34 Changed 3 years ago by EqUaTe

Equusz - which worked? The beta or the nightly?

comment:35 Changed 3 years ago by mathuaerknedam

The 1.5.10 beta fixes the CPU usage for everyone. I've heard that while it may fix the connections problem for some OS X 10.9 users, it doesn't work for everyone, and it's my understanding that this is why we're not advertising it as fixing the connection problem. That said, I don't think I've personally seen a OS X 10.9 user that wasn't able to connect with the 1.5.10 beta. YMMV.

comment:36 Changed 3 years ago by EqUaTe

Well I've been running 1.5.10b3 on OSX 10.8.5 since it was released, and can confirm it does *not* fix the yahoo issue on ML.

comment:37 Changed 3 years ago by Tupring

Still not fixed on Snow Leopard either…

comment:38 Changed 3 years ago by marker227

I got mine working! Adium just had an update to 1.5.10 and Yahoo immediately connected!

I am running the latest operating system from Apple - 10.9.2.

comment:39 Changed 3 years ago by Tupring

The lastest is 10.9.3… either way though, R.I.P. Yahoo!

comment:40 Changed 3 years ago by heykay15

still no change in status of Yahoo messenging connecting. i run os x 10.6.8 , and yahoo instant messenger is not connecting.

Last edited 3 years ago by heykay15 (previous) (diff)

comment:41 follow-up: Changed 3 years ago by EqUaTe

To be fair, Apple don't support Snow Leopard anymore, so you really should look at upgrading to ML or Mavericks (though I'm aware a lot of hardware won't run either).

comment:42 follow-up: Changed 3 years ago by Robby

The versions of OS X shouldn’t make a difference for the issue reported in this ticket.

Adium will continue to support 10.6 with 1.5.x versions and most likely also with the upcoming 1.6.

comment:43 Changed 3 years ago by lasgana

Tried the latest 1.5.10 release on my 10.8.5, and yahoo is still not connecting.

comment:44 Changed 3 years ago by karyrogers

What should work: Mavericks and Adium 1.5.10
What probably won't work: anything else

comment:45 Changed 3 years ago by mbierman

I am on Mavericks (fully patched to the latest release) with 1.5.10 and yahoo fails.

comment:46 Changed 3 years ago by mbierman

I am on Mavericks (fully patched to the latest release) with 1.5.10 and yahoo fails.

comment:47 Changed 3 years ago by mattmaldre

Adium 1.5.10 on Mac OS 10.8.5 not working with Yahoo

comment:48 in reply to: ↑ 42 Changed 3 years ago by Robby

Replying to Robby:

The versions of OS X shouldn’t make a difference for the issue reported in this ticket.[…]

Please refrain from further "me too" posts unless you can provide information which could contribute to fixing the issue. We are well aware of it.

comment:49 Changed 3 years ago by blentz

Hey Robby,
What can we get these folks that would help towards contributing information toward a fix?

I've got a 10.7.5 system, Adium 1.5.10 source (or beta or hg releases if necessary) and many hours poured into trying to get Yahoo! working again. If you need debug logs or test patches applied, let us know.

Do we have any idea what's different between 10.9 and <10.9 that would cause the SSL workarounds recently put in place to work on Mavericks but nothing prior? Has Apple done something to CDSA that's broken the workaround for the already-broken Yahoo! SSL implementation?

comment:50 in reply to: ↑ 41 Changed 3 years ago by Tupring

Replying to EqUaTe:

To be fair, Apple don't support Snow Leopard anymore, so you really should look at upgrading to ML or Mavericks (though I'm aware a lot of hardware won't run either).

Then it's a good thing Apple doesn't make Adium. Dev's can still write software for Mac OS 9 if they choose to do so. I'll simply just no longer use Yahoo again if it comes down to being forced to update for support…

comment:51 Changed 3 years ago by NickFitz

I just upgraded to 10.9 and updated Adium, but it still wouldn't connect to Y!

I went into Adium -> Preferences -> Accounts, and edited my Y! account - I didn't actually change anything, just selected the account and hit the "Edit" button. Then, without changing anything, I hit "OK" to back out of the account editor (not "Cancel"). As soon as I did that, Adium connected successfully.

So if you've updated Adium and it still won't connect, that might be worth a try.

Versions: OS X 10.9.3, Adium 1.5.10 (19/05/2014, 7ad57fbf4c17).

Last edited 3 years ago by NickFitz (previous) (diff)

comment:52 Changed 3 years ago by SAFVet

Running Adium 1.5.10 on OS X v. 10.8.5. Yahoo Msgr will not connect - display in Preferences/Accounts cycles with status "Reconnecting" and repeat message "Error: Error reading from login.yahoo.com: Undefined error :0"

Are there any beta versions available that address this problem?

comment:53 Changed 3 years ago by oojacoboo

I'm still having this issue on the latest 1.7hgr5890 and Mac OS X 10.10. The issue started for me after installing 10.10. So it does seem to be a Mac OS X dependency of some sort. Any information on this or solutions?

comment:54 Changed 3 years ago by nullx8

after installing the newest Version 10.10 Beta 4 (14A314h) running Adium 1.5.10 or 1.5.11hg the error is still there.

(the OSX build number may different to the Public Beta Build but its the same Code Version)

Last edited 3 years ago by nullx8 (previous) (diff)

comment:55 Changed 3 years ago by angelofdaemons

Hello.. Almost 5 months now since Y! has worked on Adium.

FWIW.. I run OS X 10.6.8 and Adium 1.5.10 and I too receive the error "Error: Error reading from login.yahoo.com: Undefined error :0" when attempting to connect. When I view Yahoos recent sign in activity they appear to acknowledge the attempt as a successful sign in:

7:50 AM Y! Messenger Authentication Logged In CA, US
7:50 AM Browser Logged In CA, US
7:49 AM Browser Logged In CA, US

Based on the thread here am I to assume this may be due to an ssl library issue? Could this have broken around the time heartbleed was released and everyone exchanged their certs?

comment:56 Changed 3 years ago by reanimus

I went ahead and made a small change in ssl-cdsa.c that seems to fix the issue Yahoo is experiencing. It seems to be fairly analogous to the fix that they've contributed over in the GNUTLS portion of libpurple (see https://hg.pidgin.im/pidgin/main/rev/42ba908c25c7).

I feel like this may have not-so-great security implications (as discussed in the other thread), but hey, Yahoo works again.

Last edited 3 years ago by reanimus (previous) (diff)

Changed 3 years ago by reanimus

CDSA premature/error abort fix

comment:57 Changed 3 years ago by nullx8

Confirming .. Yahoo is back online via Singapore Servers
after adding the 2 Cases in ssl-cdsa.c

running Adium 1.5.11hg on OSX 10.10 (14A343f)

comment:58 Changed 3 years ago by mathuaerknedam

  • Patch Status set to Needs Dev Review

comment:59 Changed 2 years ago by paulkierstead

Yahoo on 10.10/Yosemite was not working in any version of Adium I tried. I just applied the patch put up by reanimus onto revision fb9288582076 and it worked great, Yahoo connects fine now.

comment:60 Changed 2 years ago by Tupring

can we expect an adium update (for snow leopard) with this added any time soon? how do i apply it now?

comment:61 Changed 2 years ago by lensovet

there's already a fix available, can this just be integrated and shipped already?

comment:62 Changed 2 years ago by luyenok

confirmed working on Yosemite final after edited ssl-cdsa.c file.

comment:63 Changed 2 years ago by thelusmcneely

I just updated to Mac OS X Yosemite (10.10) and Adium does not connect anymore to Yahoo again.
I am using Adium with beta updates enabled, version is 1.5.10 (5/19/14) (7ad57fbf4c17)

comment:64 Changed 2 years ago by thelusmcneely

I would suggest modifying to higher priority as "regular people" will start updating their systems and the stable non-beta version of Adium will be broken.

comment:65 Changed 2 years ago by jarome

How does one apply an adium patch? I don't think I have the source code.

comment:66 Changed 2 years ago by dean.pullen

Regular person here: Yosemite now out, problem still exists.

comment:67 Changed 2 years ago by cr@…

Im Running it on Yosemite Production build. Adium 1.5.10, 1.5.11 and 1.6 will NOT connect to YAHOO.

comment:68 Changed 2 years ago by cr@…

Im Running it on Yosemite Production build. Adium 1.5.10, 1.5.11 and 1.6 will NOT connect to YAHOO.

comment:69 Changed 2 years ago by Robby

Ticket #16832 has been marked as a duplicate of this ticket.

comment:70 Changed 2 years ago by nullx8

try this: https://www.dropbox.com/s/4g13hlqkcsmvg5u/Adium-1.5.11hg-ypatch.zip?dl=0
its 1.5.11 hg from svn with the patch aplied. compiled on dualcore

comment:71 Changed 2 years ago by cr@…

Thx, but rather than grab a random download I think Id prefer pulling it from the nightly.adium.im site or one of the beta pages. Why hasn't the Adium group put out an official patch? The issue with Yahoo has been an off and on thing now for a few months.

comment:72 Changed 2 years ago by Hedgey

I can say with absolute certainty that the compiled application that nullx8 put on Dropbox works fine. I would prefer an Adium compiled version but this will work in the meantime.

comment:73 Changed 2 years ago by newintellectual

Offering a custom compiled version with the fix is generous and appreciated, but the issue is running a binary created by unknown individuals. It might contain malicious code. (I am not saying these do, I'm talking about risk.) The Adium team should step up and create some kind of release with this problem fixed, since the fix is apparently now known.

If it's an issue of priorities, I'll personally donate $10 to Adium - once a version is released here by the team that fixes the Yahoo connectivity problem.

comment:74 Changed 2 years ago by lpgenergy

Upgraded to Yosemite two days ago, have been unable to connect to Adium on either Macbook Pro or Desktop Mac. Error reading from login.yahoo.com Undefined error: 0 Anyone trying to get an update out on this. Can only imagine that this is affecting a bunch of people out there. Whats the point of having this program if it doesn't work?

comment:75 Changed 2 years ago by maaiman

Likewise, seeing this issue on all of my Yosemite machines. Please move this fix to a higher priority.

comment:76 Changed 2 years ago by geronimo

Having the same issues on my mac mini with Yosemite. Fix is highly needed!

comment:77 Changed 2 years ago by pfams12

I'm also getting the "Error reading from login.yahoo.com Undefined error: 0 " error running on Yosemite.

comment:78 Changed 2 years ago by jyanko

upvoted - this has been an issue for a very long time now

comment:79 Changed 2 years ago by jimgeldermann

Just built 1.7hg and Yahoo still does not connect

comment:80 Changed 2 years ago by jimgeldermann

Same error 1.7hg in 10.9

1.5.10 in 10.9 works

comment:82 Changed 2 years ago by Robby

  • Keywords yahoo removed
  • Milestone set to Adium 1.5.11
  • Severity changed from normal to regression

comment:83 Changed 2 years ago by mathuaerknedam <adium@…>

  • Resolution set to fixed
  • Status changed from new to closed

(In 60d7d05396d7) Workaround for Yahoo's https server closing the connection without sending close_notify first. Thanks to reanimus for the patch. Fixes #16678. r=kbotc

comment:84 Changed 2 years ago by Robby

  • Patch Status changed from Needs Dev Review to Accepted

comment:85 Changed 2 years ago by pax

still happens today (v 1.5.10)

comment:86 Changed 2 years ago by mathuaerknedam

The fix is in 1.5.11, which hasn't yet been released. You can also find the fix in an unsupported nightly here.

comment:87 Changed 2 years ago by blm

It looks like this was fixed 3 months ago, why hasn't it been released yet? It seems this fix alone would warrant a 1.5.11.

comment:88 Changed 2 years ago by thelusmcneely

I just downloaded Adium 1.5.10 and enabled "update do beta channel" and looks like 1.5.11 is not on beta channel yet. Can someone please ping this issue once beta is available so we can test against it and make sure it's stable before you guys close as a final release?

I am still using a custom build of Adium with this fix, and I had to disable automatic updates in order to have Yahoo Accounts working, so there is no automatic way to me as a user to help test the next build besides the email notification on this bug. Thanks!

comment:89 Changed 2 years ago by sphynx

1.5.11b1 is now available from beta.adium.im, with this fix.

comment:90 Changed 2 years ago by sphynx

reanimus: We always credit submitted patches in the changelog. You're currently listed as "reanimus", but if you'd like to be credited differently, please let me know.

comment:91 Changed 2 years ago by blm

Sweet. Yahoo! works again for me. However, I now have two Availables in the Status menu and each of the accounts' submenus. Edit Status Menu shows two custom statuses that I've had for a while, neither "Available". Glad to have Yahoo! back though.

Note: See TracTickets for help on using tickets.